CMSIS-RTOS2: Globals

| CMSIS-RTOS2 Version 2.1.3 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- e
- o
- p
- s

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

### - o -

- OS_Tick_AcknowledgeIRQ() : os_tick.h
- OS_Tick_Disable() : os_tick.h
- OS_Tick_Enable() : os_tick.h
- OS_Tick_GetClock() : os_tick.h
- OS_Tick_GetCount() : os_tick.h
- OS_Tick_GetInterval() : os_tick.h
- OS_Tick_GetIRQn() : os_tick.h
- OS_Tick_GetOverflow() : os_tick.h
- OS_Tick_Setup() : os_tick.h
- osDelay() : cmsis_os2.h
- osDelayUntil() : cmsis_os2.h
- osEventFlagsClear() : cmsis_os2.h
- osEventFlagsDelete() : cmsis_os2.h
- osEventFlagsGet() : cmsis_os2.h
- osEventFlagsGetName() : cmsis_os2.h
- osEventFlagsNew() : cmsis_os2.h
- osEventFlagsSet() : cmsis_os2.h
- osEventFlagsWait() : cmsis_os2.h
- osKernelGetInfo() : cmsis_os2.h
- osKernelGetState() : cmsis_os2.h
- osKernelGetSysTimerCount() : cmsis_os2.h
- osKernelGetSysTimerFreq() : cmsis_os2.h
- osKernelGetTickCount() : cmsis_os2.h
- osKernelGetTickFreq() : cmsis_os2.h
- osKernelInitialize() : cmsis_os2.h
- osKernelLock() : cmsis_os2.h
- osKernelRestoreLock() : cmsis_os2.h
- osKernelResume() : cmsis_os2.h
- osKernelStart() : cmsis_os2.h
- osKernelSuspend() : cmsis_os2.h
- osKernelUnlock() : cmsis_os2.h
- osMemoryPoolAlloc() : cmsis_os2.h
- osMemoryPoolDelete() : cmsis_os2.h
- osMemoryPoolFree() : cmsis_os2.h
- osMemoryPoolGetBlockSize() : cmsis_os2.h
- osMemoryPoolGetCapacity() : cmsis_os2.h
- osMemoryPoolGetCount() : cmsis_os2.h
- osMemoryPoolGetName() : cmsis_os2.h
- osMemoryPoolGetSpace() : cmsis_os2.h
- osMemoryPoolNew() : cmsis_os2.h
- osMessageQueueDelete() : cmsis_os2.h
- osMessageQueueGet() : cmsis_os2.h
- osMessageQueueGetCapacity() : cmsis_os2.h
- osMessageQueueGetCount() : cmsis_os2.h
- osMessageQueueGetMsgSize() : cmsis_os2.h
- osMessageQueueGetName() : cmsis_os2.h
- osMessageQueueGetSpace() : cmsis_os2.h
- osMessageQueueNew() : cmsis_os2.h
- osMessageQueuePut() : cmsis_os2.h
- osMessageQueueReset() : cmsis_os2.h
- osMutexAcquire() : cmsis_os2.h
- osMutexDelete() : cmsis_os2.h
- osMutexGetName() : cmsis_os2.h
- osMutexGetOwner() : cmsis_os2.h
- osMutexNew() : cmsis_os2.h
- osMutexRelease() : cmsis_os2.h
- osRtxErrorNotify() : rtx_os.h
- osRtxIdleThread() : rtx_os.h
- osRtxKernelErrorNotify() : rtx_os.h
- osSemaphoreAcquire() : cmsis_os2.h
- osSemaphoreDelete() : cmsis_os2.h
- osSemaphoreGetCount() : cmsis_os2.h
- osSemaphoreGetName() : cmsis_os2.h
- osSemaphoreNew() : cmsis_os2.h
- osSemaphoreRelease() : cmsis_os2.h
- osThreadDetach() : cmsis_os2.h
- osThreadEnumerate() : cmsis_os2.h
- osThreadExit() : cmsis_os2.h
- osThreadFlagsClear() : cmsis_os2.h
- osThreadFlagsGet() : cmsis_os2.h
- osThreadFlagsSet() : cmsis_os2.h
- osThreadFlagsWait() : cmsis_os2.h
- osThreadGetCount() : cmsis_os2.h
- osThreadGetId() : cmsis_os2.h
- osThreadGetName() : cmsis_os2.h
- osThreadGetPriority() : cmsis_os2.h
- osThreadGetStackSize() : cmsis_os2.h
- osThreadGetStackSpace() : cmsis_os2.h
- osThreadGetState() : cmsis_os2.h
- osThreadJoin() : cmsis_os2.h
- osThreadNew() : cmsis_os2.h
- osThreadResume() : cmsis_os2.h
- osThreadSetPriority() : cmsis_os2.h
- osThreadSuspend() : cmsis_os2.h
- osThreadTerminate() : cmsis_os2.h
- osThreadYield() : cmsis_os2.h
- osTimerDelete() : cmsis_os2.h
- osTimerGetName() : cmsis_os2.h
- osTimerIsRunning() : cmsis_os2.h
- osTimerNew() : cmsis_os2.h
- osTimerStart() : cmsis_os2.h
- osTimerStop() : cmsis_os2.h